Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Не работает wifi ubuntu-16.04.3-desktop-amd64.iso + ноутбук hp-15bs100ur  (Прочитано 7691 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн NumLock

  • Автор темы
  • Новичок
  • *
  • Сообщений: 10
    • Просмотр профиля
Который день не могу самостоятельно решить вопрос... Помогите новичку в Линуксе
Установил ОСь на новый ноутбук (с Free-DOS),
в BIOS секьюрити бут отключен, легаси активен. Всё кроме порядка загрузки, стоит по умолчанию.
Во время установки указал стереть всё. Ставил Ubuntu, Роса 8.1, - WiFi тоже не работал.
После установки настроил проводное подключение DSL к инету, сразу установил все обновления.
Что я уже проделал:
r@r-Laptop ~ $ lspci | grep Network
03:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device d723
и ещё так:
r@r-Laptop ~ $ lspci -knn | grep Net -A2
03:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. Device [10ec:d723]
        Subsystem: Hewlett-Packard Company Device [103c:8319]
и ещё так:
r@r-Laptop ~ $ rfkill list
8: hci0: Bluetooth
        Soft blocked: no
        Hard blocked: no
На ноутбуке физического отключения нет, режим "в самолёте" никаких признаков жизни при нажатиях не проявляет...
Сделал в Росе пробу оборудования, - программа выдала ссылку на результат:
https://linux-hardware.org/?probe=455537c2db
Из него я понял только что:
-wifi не отключен ни аппаратно, ни програмно,
-wifi подключен через usb,
-вроде драйвер не установлен.., так как не указан,
-аналогичный wifi модуль обнаружен ещё на 4 моделях ноутбуков по базе проб linux-hardware.org
-ID/Class:  10ec-d723-103c-8319 / 02-80
-...
Больше пока ничего не понятно...
на других сайтах, как например:
https://askubuntu.com/questions/961299/cannot-see-my-wifi-10ecd723-when-trying-ubuntu
уже есть люди которые решили проблему: есть драйвер, установлен и вроде сеть заработала,
пишут что модель ID оборудования называется:
rtl8723de
И для него я даже скачал уже драйвера с сайта:
https://github.com/smlinux/rtl8723de
Там же, на https://github.com/smlinux/rtl8723de даже указаны команды для установки и удаления драйвера...
Но я не знаю куда ложить скачанные файлы перед этими действиями. Как то все эти консольные команды... покрыты мраком неизвестности)
а ещё.. надоело Ось переустанавливать
И вообще может я что то не догоняю, а точнее я совсем почти ничего не понимаю, так как 4 день только с Линуксом общаюсь)
В связи со всем вышеуказанным имеются вопросы:
- как правильно выполнить указанные выше команды по установке драйвера?
- как лучше поступить: установить драйвер(и тогда: как это сделать правильно) или обновить ядро(возможно моё оборудование уже поддерживается?), почему?(т.е. как это определить самому?)
- можно ли после решения вопроса сделать самому загрузочный образ с рабочим WiFi? В смысле каковы шансы на успех у неопытного пользователя?

Оффлайн бамбук

  • Активист
  • *
  • Сообщений: 541
  • Kubuntu 20.04 LTS x86_64
    • Просмотр профиля
там же реадми есть

Realtek RTL8723DE module for Linux kernel version >= 4.11

Install:

git clone https://github.com/smlinux/rtl8723de.git -b 4.11-up
dkms add ./rtl8723de
dkms install rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414
depmod -a
reboot
написали тебе что вводить в терминале

Chuwi LapBook 14.1   ревизия ноутбука-3.0

Оффлайн NumLock

  • Автор темы
  • Новичок
  • *
  • Сообщений: 10
    • Просмотр профиля
А это можно сразу всё воткнуть, или надо по одной строчке?...)

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2121
  • Ubuntu Mate 22.04 LTS
    • Просмотр профиля
А это можно сразу всё воткнуть, или надо по одной строчке?...)

Каждая строчка это определённое действие. Оно должно наступить, когда благополучно будет завершено предыдущее.
Если предыдущее завершено с ошибкой, следующее запускать не имеет смысла.

Оффлайн ALiEN

  • Администратор
  • Старожил
  • *
  • Сообщений: 6991
  • Luck Tales
    • Просмотр профиля
git clone https://github.com/smlinux/rtl8723de.git -b 4.11-up && dkms add ./rtl8723de && dkms install rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414 && depmod -a && reboot
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн NumLock

  • Автор темы
  • Новичок
  • *
  • Сообщений: 10
    • Просмотр профиля
Всем ответившим спасибо!
Вооот! Век живи век учись, а вы говорили не имеет смысла!)
Сейчас систему переустановлю и попробую.. сейчас роса стоит.

Пользователь добавил сообщение 04 Февраля 2018, 19:01:52:
В общем переустановил и не получается, он хочет что бы я был ROOT...:
Error! You must be root to use this command.
roman@r-Lap:~$ git clone https://github.com/smlinux/rtl8723de.git -b 4.11-up
Программа 'git' на данный момент не установлена. Вы можете установить её, выполнив:
sudo apt install git
roman@r-Lap:~$ ^C
roman@r-Lap:~$ sudo apt install git
[sudo] пароль для roman:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libllvm4.0
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  git-man liberror-perl
Предлагаемые пакеты:
  git-daemon-run | git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-arch
  git-cvs git-mediawiki git-svn
НОВЫЕ пакеты, которые будут установлены:
  git git-man liberror-perl
обновлено 0, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 3 857 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 25,6 MB.
Хотите продолжить? [Д/н]
Пол:1 http://ru.archive.ubuntu.com/ubuntu xenial/main amd64 liberror-perl all 0.17-1.2 [19,6 kB]
Пол:2 http://ru.archive.ubuntu.com/ubuntu xenial-updates/main amd64 git-man all 1:2.7.4-0ubuntu1.3 [736 kB]
Пол:3 http://ru.archive.ubuntu.com/ubuntu xenial-updates/main amd64 git amd64 1:2.7.4-0ubuntu1.3 [3 102 kB]
Получено 3 857 kБ за 0с (5 874 kБ/c)       
Выбор ранее не выбранного пакета liberror-perl.
(Чтение базы данных … на данный момент установлено 212192 файла и каталога.)
Подготовка к распаковке …/liberror-perl_0.17-1.2_all.deb …
Распаковывается liberror-perl (0.17-1.2) …
Выбор ранее не выбранного пакета git-man.
Подготовка к распаковке …/git-man_1%3a2.7.4-0ubuntu1.3_all.deb …
Распаковывается git-man (1:2.7.4-0ubuntu1.3) …
Выбор ранее не выбранного пакета git.
Подготовка к распаковке …/git_1%3a2.7.4-0ubuntu1.3_amd64.deb …
Распаковывается git (1:2.7.4-0ubuntu1.3) …
Обрабатываются триггеры для man-db (2.7.5-1) …
Настраивается пакет liberror-perl (0.17-1.2) …
Настраивается пакет git-man (1:2.7.4-0ubuntu1.3) …
Настраивается пакет git (1:2.7.4-0ubuntu1.3) …
roman@r-Lap:~$ git clone https://github.com/smlinux/rtl8723de.git -b 4.11-up
Клонирование в «rtl8723de»…
remote: Counting objects: 536, done.
remote: Total 536 (delta 0), reused 0 (delta 0), pack-reused 536
Получение объектов: 100% (536/536), 2.41 MiB | 949.00 KiB/s, готово.
Определение изменений: 100% (195/195), готово.
Проверка соединения… готово.
roman@r-Lap:~$ dkms add ./rtl8723de
Программа 'dkms' на данный момент не установлена. Вы можете установить её, выполнив:
sudo apt install dkms
roman@r-Lap:~$ sudo apt install dkms
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libllvm4.0
Для его удаления используйте «sudo apt autoremove».
НОВЫЕ пакеты, которые будут установлены:
  dkms
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 66,3 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 265 kB.
Пол:1 http://ru.archive.ubuntu.com/ubuntu xenial-updates/main amd64 dkms all 2.2.0.3-2ubuntu11.5 [66,3 kB]
Получено 66,3 kБ за 0с (146 kБ/c)
Выбор ранее не выбранного пакета dkms.
(Чтение базы данных … на данный момент установлено 213007 файлов и каталогов.)
Подготовка к распаковке …/dkms_2.2.0.3-2ubuntu11.5_all.deb …
Распаковывается dkms (2.2.0.3-2ubuntu11.5) …
Обрабатываются триггеры для man-db (2.7.5-1) …
Настраивается пакет dkms (2.2.0.3-2ubuntu11.5) …
roman@r-Lap:~$ dkms add ./rtl8723de
Error! You must be root to use this command.
А ещё там какие то лишние пакеты появляются... Это каждый раз надо удалять или можно как-то чистить это хозяйство?
Что делать с драйвером?


Пользователь добавил сообщение 04 Февраля 2018, 20:29:51:
....
Но ведь по теории sudo - это не root...
Ну ладно в общем всё получилось и сеть заработала!!!
Йохо-хо-хо и бутылка рома!
« Последнее редактирование: 04 Февраля 2018, 20:29:51 от NumLock »

Dzhoser

  • Гость
sudo dkms add ./rtl8723de

Оффлайн NumLock

  • Автор темы
  • Новичок
  • *
  • Сообщений: 10
    • Просмотр профиля
Dzhoser, да да... Это я уже догадался... И вай фай заработал..
Единственно осталось ощущение что установить драйвер можно было и более правильным путём..
Например в другой теме: https://forum.ubuntu.ru/index.php?topic=294836.msg2319882#msg2319882
Установка была проведена другими командами....
Какой вариант более оптимальный в данном случае и меньше захмляет систему лишними пакетами, я совершенно не понимаю..
И пойму наверняка не скоро.
И что делать с теми пакетами который оказались лишними после различных установок? ведь не всегда заметишь такие сообщения.
Следующий пакет устанавливался автоматически и больше не требуется:
  libllvm4.0
Для его удаления используйте «sudo apt autoremove»
И они будут копиться в системе наверное????
Мне кажется по вопросу установки драйверов на новое оборудование нужно какое то руководство создать, понятно что здесь все
занятые люди... Или хотя бы указать ссылку где это написано... Оно ведь наверняка уже написано.
« Последнее редактирование: 05 Февраля 2018, 13:15:01 от NumLock »

Оффлайн бамбук

  • Активист
  • *
  • Сообщений: 541
  • Kubuntu 20.04 LTS x86_64
    • Просмотр профиля
1 . sudo apt autoremove  -удаление лишнего
2. Инструкция - читай маны, читай форум
« Последнее редактирование: 05 Февраля 2018, 14:03:07 от бамбук »
Chuwi LapBook 14.1   ревизия ноутбука-3.0

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2121
  • Ubuntu Mate 22.04 LTS
    • Просмотр профиля
Какой вариант более оптимальный в данном случае и меньше захмляет систему лишними пакетами, я совершенно не понимаю..

Самый правильный способ установки приложений в систему это установка deb пакета с этим приложением.
Драйвер это тоже программа. То что сделал ты это называется сборка из исходных текстов. Всё дело в том, что никто не сделал deb пакет из твоего драйвера или просто ты его не нашёл. Такой пакет можно собрать самому. То есть сначала собираешь deb пакет с драйвером, а потом устанавливаешь его в систему. Но что бы "не захламлять" систему, не нужно в рабочей системе производить сборку из исходников.

Оффлайн EvangelionDeath

  • Администратор
  • Старожил
  • *
  • Сообщений: 3487
  • Ubuntu 22.04 х64
    • Просмотр профиля
не нужно в рабочей системе производить сборку из исходников.
Можно, а иногда и нужно. Правильней: не надо делать установку из исходников напрямую, а надо собирать пакет и уже ставить его
https://help.ubuntu.ru/wiki/programs_installation
HP Pro 840 G3: Intel i5-6300U, 32GB DDR4 2133MHz, Intel 520, Intel Pro 2500 180GB/Ubuntu 22.04
Dell Latitude 5590: Intel i5-8350U, 16GB DDR4 2400MHz, Intel 620, Samsung 1TB/Ubuntu 22.04

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2121
  • Ubuntu Mate 22.04 LTS
    • Просмотр профиля
Можно, а иногда и нужно.

Шикарно. Пиши не останавливайся. Особенно про "нужно".

Учитывая то, что автор болезненно относится к "захламлению системы", такая рекомендация может оцениваться как примитивный троллинг.

У меня установлена на одном разделе диска система специально для сборки.
Там огромная куча библиотек и всяких сборочных зависимостей, которые для обычной работы приложения не нужны.

Оффлайн NumLock

  • Автор темы
  • Новичок
  • *
  • Сообщений: 10
    • Просмотр профиля
Уже появляется какая та ясность в вопросе… Но единого мнения к оптимальной установке не достигнуто. И это нормально, ведь всемы разные, а это даже хорошо! Иначе было бы скучно.
И господа давайте не будем нагнетать. Просто некоторые ответы не так просто найти по неопытности. Мне (и другим салагам) приходится тратить часы и дни. А на форуме я получел ответ через…. 14 минут!) Благодаря Вам и другим форумчанам.

То ecc83:
Спасибо за развёрнутый ответ.
Ну я всё же не настолько болезненно отношусь к "захламлению системы", к тому же если программа действительно часто необходима, то это уже не хлам. Принципиально только то, что бы не понаустанавливать с десяток разных программ, делающих одно и тоже.

То EvangelionDeath:
А Вам спасибо за ссылку. Познавательно…но только не для новичка.
В обоих «правильных» вариантах имеются существенные упущения, приводящие к ошибкам в практике применения терминала (что ещё больше отпугивает от него)
В 1 варианте неясна структура команды:

«Для создания и установки deb-пакета необходимо выполнить
sudo checkinstall»
Вот результат:
rom@rom-Lt:~$ sudo checkinstall
[sudo] пароль для rom:
sudo: checkinstall: команда не найдена
Видимо после  checkinstall должна быть написана устанавливаемая программа/пакет? Надо посмотреть ещё в одном мануале…

Во 2 варианте совершенно непонятно где должны лежать файлы-исходники, в какой директории выполнять команды.
В общем много неясностей. Не думаю что, по указанному мануалу, неопытный пользователь сможет выполнить всё правильно имея на руках архив с непонятными исходниками и такое руководство с непонятными командами.
Для мануала это очень критично…

Я с Вашего позволения порассуждаю…:
значит имеем следующие  варианты:
1) установка в рабочую систему пакетов необходимых для сборки из исходников. Так как применяться будет новичком крайне редко.. (или я ошибаюсь) — не самый оптимальный вариант.
2) установка отдельной ОСи под эти дела: в VirtulBox или на отдельном разделе.
3) Искать готовые пакеты.
4) Ждать обновления ядра. Вообще не айс(хотя я не знаю как быстро это происходит)
5)Я так понимаю (в контексте поднятого вопроса про оптимальность) что лучше пользоваться теми программами что есть в комплекте Убунты.., если они там есть.

Вопросы:
0) Как часто ПО устанавливается из исходников? Я лично больше пользователь, а не разработчик...
1) Как часто в ядро добавляют новые драйвера?(Возможно они уже в нём есть?)
2) Как обновить ядро?
3)Есть ли в Ubuntu «из коробки» или в репозиториях(собранное уже...) хоть какое то ПО, для сборки пакетов из исходников?

ПыСы: Пардон за Очень много букв, ну просто мне нравится когда всё путём...) Систему я переустанавил, и в инете пока сижу на проводе. Поэтому для меня вопрос ещё актуален.
« Последнее редактирование: 06 Февраля 2018, 18:36:16 от NumLock »

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2121
  • Ubuntu Mate 22.04 LTS
    • Просмотр профиля
единого мнения к оптимальной установке не достигнуто.

Достигнуто, просто ты его не уловил. Установка приложений должна происходить с помощью пакетного менеджера APT.

То ecc83: Спасибо за развёрнутый ответ. Ну я всё же не настолько болезненно отношусь к "захламлению системы", к тому же если программа действительно часто необходима, то это уже не хлам.

Речь не про программу. Для того, что бы эту программу создать (собрать из исходных текстов), необходимы дополнительные инструменты.
Эти инструменты нужны исключительно для сборки приложения. Когда оно собрано и установлено в систему, эти инструменты больше не нужны. Но если ты всё это собирал в своей рабочей системе, то эти "инструменты" так и остаются в пакетной базе, занимая дисковое пространство. И чаще всего автоматически не удаляются.

В 1 варианте неясна структура команды: «Для создания и установки deb-пакета необходимо выполнить sudo checkinstall» Вот результат: rom@rom-Lt:~$ sudo checkinstall [sudo] пароль для rom: sudo: checkinstall: команда не найдена

Что бы пользоваться checkinstall, его сначала нужно установить, а потом уже с его помощью производить сборку.


Во 2 варианте совершенно непонятно где должны лежать файлы-исходники, в какой директории выполнять команды. В общем много неясностей.

Ответы про директории и откуда запускать команды, найдёшь в архиве с исходниками. Там есть документация.

Пользователь добавил сообщение 06 Февраля 2018, 19:25:45:
Как часто ПО устанавливается из исходников? Я лично больше пользователь, а не разработчик...

Из исходников ПО приходится устанавливать в том случае, когда ты не нашёл готового пакета в репозитории, а приложение тебе очень нужно.
« Последнее редактирование: 06 Февраля 2018, 19:25:45 от ecc83 »

Оффлайн NumLock

  • Автор темы
  • Новичок
  • *
  • Сообщений: 10
    • Просмотр профиля
Повторил процедуру установки драйвера по указанной на https://github.com/smlinux/rtl8723de инструкции..
После предпоследней команды вылезли ошибки... :idiot2:
Скажите что это?
Насколько это критично?
Можно и нужно ли исправить?
Вот текст:
rom@rom-Lt:~$ git clone https://github.com/smlinux/rtl8723de.git -b 4.11-up
Программа 'git' на данный момент не установлена. Вы можете установить её, выполнив:
sudo apt install git
rom@rom-Lt:~$ sudo apt install git
[sudo] пароль для rom:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libllvm4.0
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  git-man liberror-perl
Предлагаемые пакеты:
  git-daemon-run | git-daemon-sysvinit git-doc git-el git-email git-gui gitk
  gitweb git-arch git-cvs git-mediawiki git-svn
НОВЫЕ пакеты, которые будут установлены:
  git git-man liberror-perl
обновлено 0, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 3 857 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 25,6 MB.
Хотите продолжить? [Д/н]
Пол:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 liberror-perl all 0.17-1.2 [19,6 kB]
Пол:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 git-man all 1:2.7.4-0ubuntu1.3 [736 kB]
Пол:3 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 git amd64 1:2.7.4-0ubuntu1.3 [3 102 kB]
Получено 3 857 kБ за 1с (3 698 kБ/c)       
Выбор ранее не выбранного пакета liberror-perl.
(Чтение базы данных … на данный момент установлено 213082 файла и каталога.)
Подготовка к распаковке …/liberror-perl_0.17-1.2_all.deb …
Распаковывается liberror-perl (0.17-1.2) …
Выбор ранее не выбранного пакета git-man.
Подготовка к распаковке …/git-man_1%3a2.7.4-0ubuntu1.3_all.deb …
Распаковывается git-man (1:2.7.4-0ubuntu1.3) …
Выбор ранее не выбранного пакета git.
Подготовка к распаковке …/git_1%3a2.7.4-0ubuntu1.3_amd64.deb …
Распаковывается git (1:2.7.4-0ubuntu1.3) …
Обрабатываются триггеры для man-db (2.7.5-1) …
Настраивается пакет liberror-perl (0.17-1.2) …
Настраивается пакет git-man (1:2.7.4-0ubuntu1.3) …
Настраивается пакет git (1:2.7.4-0ubuntu1.3) …
rom@rom-Lt:~$ git clone https://github.com/smlinux/rtl8723de.git -b 4.11-up
Клонирование в «rtl8723de»…
remote: Counting objects: 536, done.
remote: Total 536 (delta 0), reused 0 (delta 0), pack-reused 536
Получение объектов: 100% (536/536), 2.41 MiB | 990.00 KiB/s, готово.
Определение изменений: 100% (195/195), готово.
Проверка соединения… готово.
rom@rom-Lt:~$ dkms add ./rtl8723de
Программа 'dkms' на данный момент не установлена. Вы можете установить её, выполнив:
sudo apt install dkms
rom@rom-Lt:~$ sudo apt install dkms
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libllvm4.0
Для его удаления используйте «sudo apt autoremove».
НОВЫЕ пакеты, которые будут установлены:
  dkms
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 66,3 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 265 kB.
Пол:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 dkms all 2.2.0.3-2ubuntu11.5 [66,3 kB]
Получено 66,3 kБ за 0с (167 kБ/c)
Выбор ранее не выбранного пакета dkms.
(Чтение базы данных … на данный момент установлено 213897 файлов и каталогов.)
Подготовка к распаковке …/dkms_2.2.0.3-2ubuntu11.5_all.deb …
Распаковывается dkms (2.2.0.3-2ubuntu11.5) …
Обрабатываются триггеры для man-db (2.7.5-1) …
Настраивается пакет dkms (2.2.0.3-2ubuntu11.5) …
rom@rom-Lt:~$ dkms add ./rtl8723de
Error! You must be root to use this command.
rom@rom-Lt:~$ sudo dkms add ./rtl8723de

Creating symlink /var/lib/dkms/rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414/source ->
                 /usr/src/rtl8723de-5.1.1.8_21285.20171026_COEX20170111-1414

rom@rom-Lt:~$ sudo dkms install rtl8723de/5.1.1.8_21285.20171026_COEX20170111-1414

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area....
'make' all KVER=4.13.0-32-generic....................
cleaning build area....

DKMS: build completed.

rtl8723de.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.13.0-32-generic/updates/dkms/

depmod..........

DKMS: install completed.
rom@rom-Lt:~$ depmod -a
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.dep.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.dep.bin.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.alias.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.alias.bin.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.softdep.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.symbols.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.symbols.bin.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.builtin.bin.tmp, 1101, 644): Permission denied
depmod: ERROR: openat(/lib/modules/4.13.0-32-generic, modules.devname.tmp, 1101, 644): Permission denied
rom@rom-Lt:~$ reboot

Комп ещё не перезагружал...
« Последнее редактирование: 06 Февраля 2018, 20:20:56 от NumLock »

 

Страница сгенерирована за 0.076 секунд. Запросов: 23.